Subject: Re: bug#58506: Use ".dir-locals.eld" and ".dir-locals-2.eld" when they exist

From: Robert Pluim <[email-masked]>
Date: Fri, 14 Oct 2022 15:41:36 +0200

>>>>> On Fri, 14 Oct 2022 15:29:36 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    Lars> It's not -- there's a bunch of bug reports around these issues
    Lars> *handwaves at debbugs*.
    >> 
    >> My debbugs-gnu-foo must be too weak: I can only find two,

    Lars> Isn't two a bunch?  😀

Maybe, but if one of them is "Lars canʼt reproduce, waiting for
feedback", is it really open?

    >> neither of which look like theyʼd be fixed by changing the syntax
    >> accepted by .dir-locals.el

    Lars> I suspect that by "syntax" you're thinking about syntax syntax -- I'm
    Lars> talking semantics syntax.

    Lars> The .dir-locals.eld file will be Lisp forms, of course.

Then I still fail to see how itʼs different from `eval', unless youʼre
planning on adding  "run these forms before/after setting the mode"
semantics.

Robert
--